%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary: Regex link plugin for Trac
Name: trac-regexlink-plugin
# Seen in setup.py
Version: 0.3
Release: 1%{?dist}
Group: Applications/Internet
License: THE BEER-WARE LICENSE (Revision 42)
URL: http://trac-hacks.org/wiki/RegexLinkPlugin
# Get : http://trac-hacks.org/changeset/latest/regexlinkplugin?old_path=/trunk&filename=regexlinkplugin&format=zip
# ...rename to the name below.
Source0: regexlinkplugin.zip
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Requires: python-setuptools
Requires: trac >= 0.11

# Must have setuptools to build the package
# The build portions moved to a subpackage in F-8
%if 0%{?fedora} >= 8
BuildRequires: python-setuptools-devel
%else
BuildRequires: python-setuptools
%endif

BuildArch: noarch
BuildRequires: python-devel

%description
This Trac plugin provides support to turn anything matching a certain regex
into a link.


%prep
%setup -q -n regexlinkplugin
# Some files have mode 000 :-/
find . -type d -exec chmod 755 {} \;
find . -type f -exec chmod 644 {} \;


%build
cd trunk
%{__python} setup.py build


%install
cd trunk
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc trunk/COPYING
%{python_sitelib}/*


%changelog
* Thu Jan 27 2011 Matthias Saou <http://freshrpms.net/> 0.3-1
- Initial RPM release.

